gnutls_openpgp_privkey_get_subkey_idx(3)

NAME
gnutls_openpgp_privkey_get_subkey_idx - Returns the subkey's index

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_privkey_get_subkey_idx(gnutls_openpgp_privkey_t key, const gnutls_openpgp_keyid_t keyid);

ARGUMENTS

gnutls_openpgp_privkey_t key
    the structure that contains the OpenPGP private key.

const gnutls_openpgp_keyid_t keyid
    the keyid.

DESCRIPTION
Get index of subkey.

RETURNS
the index of the subkey or a negative error value.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.